<!-- 
	
	To insert comments:
		Windows - ctrl + / and Mac - cmd + /
	
	Comments are useful for proper documentation and allow us developers to understand written code better.
		-Note: These are ignored by the browser and do not show them as text.

 -->
<!DOCTYPE html>
 <!-- <html> tag - tells the browser to read the contents of the file as HTML -->
<html>
	<!-- <head> tag - contains the details of the HTML files that is not visible in the browser. -->
	<head>
		<!-- "utf-8" is common character encoding for WWW. -->
		<meta charset="utf-8">
		<!-- 
			- allow us to have responsive web page.
			- it can be view on different devices (mobile, tablet, PC)
		 -->
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<!-- <title> tag - sets the title of the tab shown in the browser. -->
		<title>HTML Introduction</title>
	</head>
	<!-- <body> tag - contains the actual content of the HTML file that are visible in the browser. -->
	<body>
		<!-- 
			A web page adheres to what is called a "document flow".
			This determines how an element is to be presented.

			- Block element
				- Will cause a line break and occupy the full width of the web page.

			- Inline element
				- This will not cause a line break and will only take the space needed.

		 -->
		 	<!-- Creates a heading text -->
		 	<h1>Zuitt Coding Bootcamp</h1>
<!-- 		 	<h2>Zuitt Coding Bootcamp</h2>
		 	<h3>Zuitt Coding Bootcamp</h3>
		 	<h4>Zuitt Coding Bootcamp</h4>
		 	<h5>Zuitt Coding Bootcamp</h5>
		 	<h6>Zuitt Coding Bootcamp</h6> -->

		 	<!-- Create a smaller heading text -->
		 	<h3>John Doe</h3>

		 	<!-- adds a horizontal rule element -->
		 	<!-- single/self closing tag -->
		 	<hr>

		 	<!-- Introductory Paragraph -->
		 	<!-- Create a paragraph text -->
		 	<p>
		 		<!-- <em> creates emphasis on text -->
		 		<!-- <em> is an inline element -->
		 		<!-- <storng> creates importance on text -->
		 		Welcome to <em>Zuitt</em>!
		 		<!-- <br> tag creates a line break between text -->
		 		<br>
		 		In this online bootcamp course, you will learn a lot of things. Let's enumerate all the things that will make you a <strong>full-stack web developer</strong>.
		 	</p>

		 	<!-- List of Languages, Frameworks, and Tools -->
		 	<!-- Create an unordered list (bullet point) -->
		 	<ul>
		 		<!-- Create the list item -->
		 		<li>Languages</li>
			 		<!-- Nested unordered lists -->
			 		<ul>
			 			<li>HTML</li>
			 			<li>CSS</li>
			 			<li>JavaScript</li>
			 		</ul>

		 		<li>Framework & Libraries</li>
			 		<!-- Creates an ordered list (numbered point) -->
			 		<ol>
			 			<li>Bootstrap</li>
			 			<li>Express.js</li>
			 			<li>React.js</li>
			 		</ol>

		 		<li>Tools</li>
		 			<ol>
		 				<li>Git</li>
		 				<li>Gitlab</li>
	 					<li>Sublime Text 3</li>
 						<li>Postman</li>
		 				<li>Others</li>
		 					<ul>
		 						<li>MongoDB</li>
		 						<li>Robo 3T</li>
		 					</ul>
		 			</ol>
		 	</ul>

		 	<!-- Closing Paragraph -->
		 	<p>
		 		There is a lot to learn in this bootcamp. It may look overwhelming at the beginning, but it's all worth it when you graduate! 
		 	</p>
	</body>
</html>

<!-- 
	=====Shortcut keys & tips=====
1. html + Tab key / ht + Tab key
	- Sublime Text autocomplete feature for HTML Structure.
2. Tab key
	- increase indentation.
3. Shift + Tab key
	- decrease indentation.
4. Ctrl + / key (forward slash)
	- To insert comment.
5. Ctrl + Shift + V key
	- paste without formatting
6. Hold Ctrl key + click each line
	- to insert/edit multiple lines
7. Sublime Text Editor > Right click > Open in Browser
	- To open a html file in the browser.
8. View > Word Wrap
	- If the text/code line exceeds the width of the editor and creates a horizontal scrolling at the bottom, you may set the sublime text editor to use word wrapping.
 -->